using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Specialized;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ReceiveUpload : System.Web.UI.Page
{
    string sid = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["id"] != null)
        {
            sid = Request.QueryString["id"].ToString();
        }
      
        HttpFileCollection uploadFiles = Request.Files;

        // Build HTML listing the files received.
        string summary = "<p>Files Uploaded:</p><ol>";

        // Loop over the uploaded files and save to disk.
        int i;
        string sfiles = "JPG:JPEG:GIF:PNG:TNF";
        string[] supportedFiles = sfiles.Split(';');

        for (i = 0; i < uploadFiles.Count; i++)
        {
            
            
                    HttpPostedFile postedFile = uploadFiles[i];
                    //Response.Write(postedFile.FileName);
                    string guid = System.Guid.NewGuid().ToString();
                    // Access the uploaded file's content in-memory:
                    System.IO.Stream inStream = postedFile.InputStream;
                    byte[] fileData = new byte[postedFile.ContentLength];
                    inStream.Read(fileData, 0, postedFile.ContentLength);
                    string savePath = Server.MapPath("MainImages") + "/" + guid + sid + System.IO.Path.GetFileName(postedFile.FileName);
                    summary += savePath; 
            for (int ip = 0; ip < supportedFiles.Length; ip++)
                    {
                        if (savePath.ToUpper().IndexOf(supportedFiles[ip].ToUpper()) != -1)
                        {
                            
                            // Save the posted file in our "data" virtual directory.
                            postedFile.SaveAs(savePath);
                           
                            //Add any database here
                            //here we check against the database to see if
                            //any images have already been added

                            // Also, get the file size and filename (as specified in
                            // the HTML form) for each file:
                            summary += "<li>" + postedFile.FileName + ": "
                            + postedFile.ContentLength.ToString() + " bytes</li>";
                }
            }
        }
        summary += "</ol>";

        // If there are any form variables, get them here:
        summary += "<p>Form Variables:</p><ol>";

        //Load Form variables into NameValueCollection variable.
        NameValueCollection coll = Request.Form;

        // Get names of all forms into a string array.
        String[] arr1 = coll.AllKeys;
        for (i = 0; i < arr1.Length; i++)
        {
            summary += "<li>" + arr1[i] + "</li>";
        }
        summary += "</ol>";

        divContent.InnerHtml = summary;
    }
}
